%define major                   5
%define minor                   0       
%define patch                   0       
%define majmin                  %{major}.%{minor}
%define eclipse_base            %{_datadir}/eclipse

Name:           eclipse-photran
Version:        %{majmin}.%{patch}
Release:        0.4.200910081739%{?dist}
Summary:        Eclipse Fortran Development Tools (Photran) plugin

Group:          Development/Tools
License:        EPL
URL:            http://www.eclipse.org/photran
# The following tarball was generated by the makesource.sh script
Source0:        photran-v200910081739.tar.gz
Source1:        makesource.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
BuildArch:      noarch
ExcludeArch:    ppc64

BuildRequires: eclipse-pde >= 1:3.5
BuildRequires: eclipse-cdt >= 1:6.0
BuildRequires: eclipse-rse >= 3.1
BuildRequires: java-devel >= 1.4.2

Requires:      eclipse-cdt >= 1:6.0
Requires:      eclipse-rse >= 3.1
Requires:      gdb make gcc-gfortran


%description
The eclipse-photran package contains the Photran Eclipse feature and plugins
that are useful for Fortran development.


%package        intel
Summary:        Intel Fortran compiler support for Photran
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    intel
%{summary}.


%package        xlf
Summary:        IBM XL Fortran compiler support for Photran
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    xlf
%{summary}.


%prep
%setup -q -n photran-v200910081739
# Fixup to use 1.5 source level
find -name \*.prefs | xargs sed -i -e 's/source=1.3/source=1.5/'
# This prevents the intel feature from building
sed -i -e 's/os="linux"//' org.eclipse.photran.intel-feature/feature.xml


%build
export JAVA_HOME=%{java_home}
export PATH=%{java_bin}:/usr/bin:$PATH
for feature in org.eclipse.photran org.eclipse.photran.intel org.eclipse.photran.xlf
do
  %{_libdir}/eclipse/buildscripts/pdebuild -d "cdt rse" \
    -f $feature -a "-DjavacSource=1.5 -DjavacTarget=1.5" 2>&1 | tee ${feature}.log
done


%install
rm -rf ${RPM_BUILD_ROOT}
for feature in org.eclipse.photran org.eclipse.photran.intel org.eclipse.photran.xlf
do
  install -d -m755 ${RPM_BUILD_ROOT}%{eclipse_base}/dropins/${feature}
  
  unzip -o -d ${RPM_BUILD_ROOT}%{eclipse_base}/dropins/${feature} \
              build/rpmBuild/${feature}.zip
  mv ${RPM_BUILD_ROOT}%{eclipse_base}/dropins/${feature}/eclipse/* \
     ${RPM_BUILD_ROOT}%{eclipse_base}/dropins/${feature}
  rmdir ${RPM_BUILD_ROOT}%{eclipse_base}/dropins/${feature}/eclipse
done


%clean 
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%doc org.eclipse.photran-feature/epl-v10.html
%{eclipse_base}/dropins/org.eclipse.photran

%files intel
%defattr(-,root,root,-)
%{eclipse_base}/dropins/org.eclipse.photran.intel

%files xlf
%defattr(-,root,root,-)
%{eclipse_base}/dropins/org.eclipse.photran.xlf


%changelog
* Wed Nov 4 2009 Orion Poplawski <orion@cora.nwra.com> - 5.0.0-0.4.200910081739
- Exclude ppc64

* Tue Nov 3 2009 Orion Poplawski <orion@cora.nwra.com> - 5.0.0-0.3.200910081739
- Make noarch

* Fri Oct 30 2009 Orion Poplawski <orion@cora.nwra.com> - 5.0.0-0.2.200910081739
- Cleanup spec headers
- Drop gcj support
- Add needed Requires

* Wed Oct 14 2009 Orion Poplawski <orion@cora.nwra.com> - 5.0.0-0.1.200910081739
- Update to 5.0.0 pre-release 200910081739
- Drop outline patch fixed upstream

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-0.7.b5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 7 2009 Orion Poplawski <orion@cora.nwra.com> - 4.0.0-0.6.b5
- Add patch from discussion list to fix outline view

* Mon Mar 23 2009 Alexander Kurtakov <akurtako@redhat.com> 4.0.0-0.5.b5
- Rebuild to not ship p2 content.xml.

* Mon Feb 23 2009 Orion Poplawski <orion@cora.nwra.com> - 4.0.0-0.4.b5
- Update to 4.0.0 Beta 5
- Fix release tag
- Add Intel compiler support package

* Fri Sep 5 2008 Orion Poplawski <orion@cora.nwra.com> - 4.0.0-0.b4.3
- Fix xlf Requires

* Wed Sep 3 2008 Orion Poplawski <orion@cora.nwra.com> - 4.0.0-0.b4.2
- Split out IBM XL Fortran support into sub-package

* Thu Aug 28 2008 Orion Poplawski <orion@cora.nwra.com> - 4.0.0-0.b4.1
- 4.0.0 Beta 4
- Update for building against Eclipse SDK 3.4
- Move everything to %%{_libdir}

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 4.0-1.b3.1
- Autorebuild for GCC 4.3

* Thu Dec 20 2007 - Orion Poplawski <orion@cora.nwr.com> - 4.0-0.b3.1
- One line post/postun script form

* Mon Nov 12 2007 - Orion Poplawski <orion@cora.nwr.com> - 4.0-0.b3
- Initial package
